=== debian/control ===
Source: flasm
Section: utils
Priority: extra
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 bison,
 debhelper (>= 9),
 flex,
 gperf,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://flasm.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-flash/packages/flasm/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-flash/packages/flasm/trunk/

Package: flasm
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: assembler and disassembler for Flash (SWF) bytecode
 Flasm disassembles your entire SWF including all the timelines and
 events. Looking at disassembly, you learn how the Flash compiler works.
 You can also do some optimization on the disassembled code by hand or
 adjust the code as you wish. Flasm can then re-assemble the bytecode
 into a new SWF.
 .
 It is also possible to embed Flasm actions in your ActionScript, making
 optimization of large projects more comfortable.
 .
 Flasm is not a decompiler. What you get is the human readable
 representation of SWF bytecode, not ActionScript source.
 .
 Flasm can also compress and decompress SWF files.
 .
 Flasm does not and may never work with Flash 9 files since Flash 9 is
 a new virtual machine and support for it would mean a full rewrite.
