=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) LIBS="$(LDFLAGS) -lz" CFLAGS="$(CPPFLAGS) $(CFLAGS) -Wall -DCONFIG_PATH=\\\"/etc/flasm.ini\\\""
	mkdir -p build
	for f in flasm.ini classic.css flasm.html ; do sed 's/\r//' $$f > build/$$f ; done
	iconv -f ISO_8859-1 -t UTF-8 < CHANGES.TXT > build/NEWS

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build keywords.c flasm
