=== debian/watch ===
version=3
http://www.nowrap.de/flasm.html .*/flasm([\d])([\d.]*)src\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
